@import url('https://fonts.googleapis.com/css2?family=Koulen&display=swap');

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Koulen', cursive;
  color: #000000;
}
html{
  height: 100%;
}
.wrapper{
  height: 100%;
  width: 300px;
  position: relative;
  z-index: 10;
}
.wrapper .menu-btn{
      /* position: absolute; */
      left: 20px;
      top: 10px;
      background: #fff;
      color: #fff;
      height: 45px;
      width: 45px;
      z-index: 9999;
      border: 1px solid #fff;
      border-radius: 5px;
      cursor: pointer;
      display: flex;
      align-items: center;
      justify-content: center;
      transition: all 0.3s ease;
}
#btn:checked ~ .menu-btn{
  left: 247px;
}
.wrapper .menu-btn i{
  position: absolute;
  transform: none;
  font-size: 23px;
  transition: all 0.3s ease;

}
.wrapper .menu-btn i ul li{
  text-decoration: none;
  display: flex;
}
.wrapper .menu-btn i.fa-times{
  opacity: 0;
}
#btn:checked ~ .menu-btn i.fa-times{
  opacity: 1;
  transform: rotate(-180deg);
}

#btn:checked ~ .menu-btn i.fa-bars{
  opacity: 0;
  transform: rotate(180deg);
}
#sidebar{
    
  position: fixed;
  background: #020235;
  height: 100%;
  width: 300px;
  overflow: hidden;
  left: -300px;
  transition: all 0.3s ease;
}
#btn:checked ~ #sidebar{
  left: 0;
}
#sidebar .title{
  line-height: 65px;
  text-align: center;
  background: #10103a;
  font-size: 25px;
  font-weight: 600;
  color: #f2f2f2;
  border-bottom: 1px solid #222;
}
#sidebar .list-items{
  position: relative;
  background: #10103a;
  width: 100%;
  height: 100%;
  list-style: none;
}
#sidebar .list-items li{
  padding-left: 40px;
  line-height: 50px;
  border-top: 1px solid rgba(255,255,255,0.1);
  border-bottom: 1px solid #333;
  transition: all 0.3s ease;
  color: #e4dcdc;;
}
#sidebar .list-items li:hover{
  border-top: 1px solid transparent;
  border-bottom: 1px solid transparent;
  box-shadow: 0 0px 10px 3px #222;
  color: #a52020;
}
#sidebar .list-items li:first-child{
  border-top: none;
}
#sidebar .list-items li a{
  color: #f2f2f2;
  text-decoration: none;
  font-size: 18px;
  font-weight: 500;
  height: 100%;
  width: 100%;
  display: block;
}
#sidebar .list-items li a i{
  margin-right: 20px;
}
#sidebar .list-items .slide-icons{
  width: 100%;
  height: 40px;
  text-align: center;
  position: absolute;
  bottom: 100px;
  line-height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
}
#sidebar .list-items .slide-icons a{
  height: 100%;
  width: 40px;
  display: block;
  margin: 0 5px;
  font-size: 18px;
  color: #f2f2f2;
  background: #4a4a4a;
  border-radius: 50%;
  border: 1px solid #383838;
  transition: all 0.3s ease;
}
#sidebar .list-items .slide-icons a:hover{
  background: #fdfcfc;
}
#sidebar .list-items .slide-icons .fb a:hover{
  background-color: #3A5795;
}
#sidebar .list-items .slide-icons .tw a:hover{
  background-color: #1DA1F2;
}
#sidebar .list-items .slide-icons .ig a:hover{
  background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 5%, #fd5949 45%, #d6249f 60%, #285AEB 90%);
}
#sidebar .list-items .slide-icons .tik a:hover{
  background-color: #6e6e6e;
}
#sidebar .list-items .slide-icons .yt a:hover{
  background-color: #b21717;
}
.list-items .slide-icons a:first-child{
  margin-left: 0px;
}
.nav {
  display: flex;
  width: 100%;
  gap: 15px;
  justify-content: center;
  margin-top: 10px;
  align-items: center;
}
.nav li {
  list-style-type: none;
}
.nav li a{
  text-decoration: none;
}
.container {
  display: flex;
}

.nav li a:hover::after{
    width: 100%;
    transition: width 0.3s linear;
    color: coral;
  }
  .stop-scroll{
    overflow: hidden;
  }